import Config from "../config";
import HTTP from "../http";

export class BaseClient extends Config {
  protected httpInstance: HTTP;
  constructor({ serverAdress, webapiToken }: { serverAdress: string; webapiToken: string }) {
    super({ serverAdress, webapiToken });
    this.httpInstance = new HTTP(this);
  }

  get http() {
    return this.httpInstance.http;
  }

  get httpEvents() {
    return this.httpInstance.httpEvents;
  }

  public async initialize(): Promise<void> {}

  public refreshToken(): Promise<void> {
    return new Promise<void>(async (resolve, reject) => {
      reject("api token refresh not implemented");
    });
  }
}
