import { AxiosInstance, AxiosResponse } from "axios";
import { BaseClient } from "../clients/clientBase";

export type RequestData<PARAMS, BODY> = PARAMS extends void
  ? BODY extends void
    ? {}
    : { body: BODY }
  : BODY extends void
  ? { params: PARAMS }
  : { params: PARAMS; body: BODY };

export type RequestDefinition<PARAMS = void, BODY = void, RESPONSE = void> = (
  http: BaseClient,
  params: RequestData<PARAMS, BODY>
) => Promise<AxiosResponse<RESPONSE, any>>;

export function ImplementsRequestInterface<T>() {
  return <U extends T>(constructor: U) => {
    constructor;
  };
}
