/** Calendar Models */
export interface CalendarViewModel {
  id: string;
  starttime: string;
  endtime: string;
  title: string;
  content: string;
  location: string;
  allDay: boolean;
  createdAt: Date;
  updatedAt: Date;
  type: CalendarTypeViewModel;
}
export interface CreateCalendarViewModel {
  starttime: string;
  endtime: string;
  title: string;
  content: string;
  location: string;
  allDay: boolean;
  typeId: string;
}
export interface UpdateCalendarViewModel {
  starttime: string;
  endtime: string;
  title: string;
  content: string;
  location: string;
  allDay: boolean;
  typeId: string;
}

/** Calendar Type Models */
export interface CalendarTypeViewModel {
  id: string;
  type: string;
  nscdr: boolean;
  color: string;
  passphrase: string | null;
}
export interface CreateCalendarTypeViewModel {
  type: string;
  nscdr: boolean;
  color: string;
  passphrase?: string;
}
export interface UpdateCalendarTypeViewModel {
  type: string;
  nscdr: boolean;
  color: string;
  passphrase?: string;
}
