import { CommunicationFieldType } from "../../types/admin/fieldTypes";

/** Award Models */
export interface AwardViewModel {
  id: number;
  award: string;
}
export interface CreateAwardViewModel {
  award: string;
}
export interface UpdateAwardViewModel {
  award: string;
}

/** Communication Type Models */
export interface CommunicationTypeViewModel {
  id: number;
  type: string;
  fields: Array<CommunicationFieldType>;
}
export interface CreateCommunicationTypeViewModel {
  type: string;
  fields: Array<CommunicationFieldType>;
}
export interface UpdateCommunicationTypeViewModel {
  type: string;
  fields: Array<CommunicationFieldType>;
}

/** Membership Status Models */
export interface MembershipStatusViewModel {
  id: number;
  status: string;
}
export interface CreateMembershipStatusViewModel {
  status: string;
}
export interface UpdateMembershipStatusViewModel {
  status: string;
}

/** Executive Positon Models */
export interface ExecutivePositionViewModel {
  id: number;
  position: string;
}
export interface CreateExecutivePositionViewModel {
  position: string;
}
export interface UpdateExecutivePositionViewModel {
  position: string;
}

/** Qualification Models */
export interface QualificationViewModel {
  id: number;
  qualification: string;
  description: string | null;
}
export interface CreateQualificationViewModel {
  qualification: string;
  description: string | null;
}
export interface UpdateQualificationViewModel {
  qualification: string;
  description: string | null;
}

/** Salutation Models */
export interface SalutationViewModel {
  id: number;
  salutation: string;
}
export interface CreateSalutationViewModel {
  salutation: string;
}
export interface UpdateSalutationViewModel {
  salutation: string;
}
