import { NewsletterConfigType } from "../../enums/admin/newsletterType";
import { CalendarViewModel } from "./calendar.models";
import { MemberViewModel } from "./member.models";
import { CommunicationTypeViewModel } from "./memberData.models";
import { QueryViewModel } from "./query.models";

/** Newsletter Models */
export interface NewsletterViewModel {
  id: number;
  title: string;
  description: string;
  newsletterTitle: string;
  newsletterText: string;
  newsletterSignatur: string;
  isSent: boolean;
  recipientsByQueryId?: string | null;
  recipientsByQuery?: QueryViewModel | null;
}
export interface CreateNewsletterViewModel {
  title: string;
}
export interface SyncNewsletterViewModel {
  title: string;
  description: string;
  newsletterTitle: string;
  newsletterText: string;
  newsletterSignatur: string;
  recipientsByQueryId?: string;
}

/** Newsletter Recipient Models */
export interface NewsletterRecipientsViewModel {
  newsletterId: number;
  memberId: string;
  member: MemberViewModel;
}
export interface SyncNewsletterRecipientsViewModel {
  recipients: Array<string>;
}

/** Newsletter Date Models */
export interface NewsletterDatesViewModel {
  newsletterId: number;
  calendarId: string;
  diffTitle: string | null;
  diffDescription: string | null;
  calendar: CalendarViewModel;
}
export interface SyncNewsletterDatesViewModel {
  dates: Array<{ calendarId: string; diffTitle?: string; diffDescription?: string }>;
}

/** Newsletter Config Models */
export interface NewsletterConfigViewModel {
  comTypeId: number;
  config: NewsletterConfigType;
  comType: CommunicationTypeViewModel;
}
export interface SetNewsletterConfigViewModel {
  comTypeId: number;
  config: NewsletterConfigType;
}
