import { DynamicQueryStructure, FieldType } from "../../types/admin/dynamicQueries";

/** Query Store Models */
export interface QueryViewModel {
  id: string;
  title: string;
  query: string | DynamicQueryStructure;
  updatedAt: Date;
}

export interface CreateQueryViewModel {
  title: string;
  query: string | DynamicQueryStructure;
}

export interface UpdateQueryViewModel {
  query: string | DynamicQueryStructure;
}

/** Query Builder Models */
export type QueryExecuteResult =
  | {
      stats: "error";
      sql: string;
      code: string;
      msg: string;
    }
  | {
      stats: "success";
      rows: Array<{
        [key: string]: FieldType;
      }>;
      total: number;
      offset: number;
      count: number;
    };
