import { PermissionModule } from "../../types/admin/permissionTypes";

/** Template Models */
export interface TemplateViewModel {
  id: number;
  template: string;
  description: string | null;
  design: object;
  html: string;
}

export interface CreateTemplateViewModel {
  template: string;
  description: string | null;
}
export interface CloneTemplateViewModel {
  cloneId: number;
}
export interface UpdateTemplateViewModel {
  id: number;
  template: string;
  description: string | null;
  design: object;
  html: string;
}

/** Template Usage Models */
export interface TemplateUsageViewModel {
  scope: `${PermissionModule}` | `${PermissionModule}.${string}`;
  header: { id: number; template: string } | null;
  body: { id: number; template: string } | null;
  footer: { id: number; template: string } | null;
  headerHeight: number | null;
  footerHeight: number | null;
}

export interface UpdateTemplateUsageViewModel {
  headerId: number | null;
  bodyId: number | null;
  footerId: number | null;
  headerHeight: number | null;
  footerHeight: number | null;
}
