import { PermissionObject } from "../../types/admin/permissionTypes";
import { RoleViewModel } from "./role.models";

/** User Models */
export interface UserViewModel {
  id: string;
  username: string;
  mail: string;
  firstname: string;
  lastname: string;
  isOwner: boolean;
  permissions: PermissionObject;
  roles: Array<RoleViewModel>;
  permissions_total: PermissionObject;
}
export interface CreateUserViewModel {
  username: string;
  mail: string;
  firstname: string;
  lastname: string;
}
export interface UpdateUserViewModel {
  username: string;
  mail: string;
  firstname: string;
  lastname: string;
}
export interface UpdateUserRolesViewModel {
  roleIds: Array<number>;
}
export interface UpdateUserPermissionViewModel {
  permissions: PermissionObject;
}

/** Invite Models */
export interface InviteViewModel {
  username: string;
  mail: string;
  firstname: string;
  lastname: string;
}
export interface CreateInviteViewModel {
  username: string;
  mail: string;
  firstname: string;
  lastname: string;
}
