import { ComponentTypes } from "../../types/webpage/componentTypes";
import { File } from "./component/base";
import { Hero } from "./component/items";
import { ContentField } from "./field";

export interface BaseCollection {
  id: number;
  documentId: string;
  slug: string;
  createdAt: string;
  updatedAt: string;
  publishedAt: string;
  locale: string;

  title: string;
  description: string;
  date: string;
  content: ContentField | undefined;
  image: File | undefined;
  attachment: Array<File>;
}

export interface Article extends BaseCollection {}

export interface Event extends BaseCollection {}

export interface Operation extends BaseCollection {}

export interface Vehicle extends BaseCollection {}

export interface Lookup {
  id: number;
  documentId: string;
  createdAt: string;
  updatedAt: string;
  publishedAt: string;

  reference: string;
  collection: "events" | "vehicles" | "articles" | "operations";
  show_image: boolean;
  show_date: boolean;
  list_with_date: "none" | "by-year" | "by-month";
  items_with_number: "none" | "numbered" | "inverted";
  enable_detail: boolean;
}

export interface Page {
  id: number;
  documentId: string;
  identifier: string;
  createdAt: string;
  updatedAt: string;
  publishedAt: string;
  locale: string;
  slug: string;
  hero: Hero;
  content: Array<ComponentTypes>;
  localizations: any[];
}
