import { Page } from "../collection";
import { File } from "./base";

export interface FooterLink {
  id: number;
  text: string;
  URL: string;
  target: string;
}

export interface Hero {
  id: number;
  title: string | undefined;
  banner: File | undefined;
}

export interface Link {
  text: string;
  URL: string;
  target: "_blank" | "_self" | "_parent" | "_top";
}

export interface NavbarItem {
  id: number;
  name: string;
  URL: string;
  default_active_child: string;
  page: any;
  navbar_sub_items: NavbarSubItem[];
}

export interface NavbarSubItem {
  id: number;
  name: string;
  URL: string;
  page: Page | null;
}
