import { TextField, TypeField } from "../../types/webpage/textTypes";

export interface ContentField
  extends Array<
    | {
        type: "paragraph" | "heading" | "quote";
        children: Array<TypeField>;
        level?: number;
      }
    | {
        type: "list";
        format: "unordered" | "ordered";
        children: Array<{ type: "list-item"; children: Array<TypeField> }>;
      }
    | {
        type: "code";
        children: Array<TextField>;
        language: "plaintext";
      }
  > {}
