import { ComponentTypes } from "../../types/webpage/componentTypes";
import { File } from "./component/base";
import { Navbar, Footer, SEO } from "./component/global";

export interface Global {
  id: number;
  documentId: string;
  createdAt: string;
  updatedAt: string;
  publishedAt: string;
  locale: string;
  logo: File;
  navbar: Navbar | undefined;
  footer: Footer | undefined;
  SEO: SEO | undefined;
}

export interface Homepage {
  id: number;
  documentId: string;
  createdAt: string;
  updatedAt: string;
  publishedAt: string;
  locale: string;
  backdrop: undefined | File;
  content: Array<ComponentTypes>;
}
